Bug 178173 - Gnome apps crash at startup when accessing 'goption-context' property of IA__g_object_get_valist
Gnome apps crash at startup when accessing 'goption-context' property of IA__...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: libbonoboui (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-18 04:39 EST by ntokozo
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-14 11:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Installed packages (21.58 KB, text/plain)
2006-01-18 04:44 EST, ntokozo
no flags Details

  None (edit)
Description ntokozo 2006-01-18 04:39:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
The programs produce errors while attempting start, and crash without starting. The problem is faily widespread, and affects the gnome desktop. The gnome desktop itself also does not start.

Version-Release number of selected component (if applicable):
libbonoboui-2.13.0-1.1

How reproducible:
Always

Steps to Reproduce:
1. Start a gnome application, OR
2. Attempt to start a gnome-destop session.
3.
  

Actual Results:  Program does not start.

Expected Results:  Program should start.

Additional info:

Starting gnome-terminal, for example, from Eterm produces:
$ gnome-terminal

(gnome-terminal:4240): GLib-GObject-WARNING **: IA__g_object_get_valist: object class `GnomeProgram' has no property named `goption-context'

Bonobo-ERROR **: file bonobo-ui-init-gtk.c: line 85 (add_gtk_arg_callback): assertion failed: (init_info != NULL)
aborting...

(process:4241): Gnome-CRITICAL (recursed) **: gnome_program_get_app_version: assertion `program->_priv->state >= APP_PREINIT_DONE' failed
aborting...
Multiple segmentation faults occurred; can't display error dialog
$

A similar result with other apps, for example evolution:
$ evolution

(evolution-2.4:4478): GLib-GObject-WARNING **: IA__g_object_get_valist: object class `GnomeProgram' has no property named `goption-context'

Bonobo-ERROR **: file bonobo-ui-init-gtk.c: line 85 (add_gtk_arg_callback): assertion failed: (init_info != NULL)
aborting...

(process:4478): Gdk-CRITICAL (recursed) **: gdk_display_pointer_ungrab: assertion `GDK_IS_DISPLAY (display)' failed
aborting...
Multiple segmentation faults occurred; can't display error dialog
$

system-config-network, however, gives a different message:
$ system-control-network 
Traceback (most recent call last):
  File "/usr/bin/system-control-network", line 59, in ?
    from netconfpkg.gui import *
  File "/usr/share/system-config-network/netconfpkg/gui/__init__.py", line 36, in ?
    exec _cmd
  File "<string>", line 1, in ?
  File "/usr/share/system-config-network/netconfpkg/gui/NewInterfaceDialog.py", line 25, in ?
    import gnome.ui
ImportError: /usr/lib/libbonoboui-2.so.0: undefined symbol: g_intern_static_string
$
Comment 1 ntokozo 2006-01-18 04:44:08 EST
Created attachment 123365 [details]
Installed packages

This is the full list of packages installed (rpm -qa.)
Comment 2 Christian Iseli 2007-01-22 06:55:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ray Strode [halfline] 2007-08-14 11:53:25 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.